1

I have a box which is cut off from the internet. I need to install RHEL 7.3 with a local repo on this machine. RHEL was installed successfully and a local repo was successfully created as well using an ISO image placed on the server. I followed the steps on the following link.

https://www.thegeekdiary.com/centos-rhel-7-how-to-setup-yum-repository-using-locally-mounted-dvd/

However, after setting up the repo, I am unable to install any packages, it successfully finds the packages on the installed media but is unable to install them and gives the following error.

Install 1 Package (+26 Dependent packages)

Total download size: 11 M

Installed size: 36 M

Is this ok [y/d/N]: y

Downloading packages:

Error downloading packages:

perl-Scalar-List-Utils-1.27-248.el7.x86_64: [Errno 256] No more mirrors to try.

TLDR : Unable to install packages using YUM after setting it up successfully.

closed as off-topic by Jeff Schaller, Anthony Geoghegan, jimmij, G-Man, mdpc Jan 4 '18 at 0:22

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced and seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – Jeff Schaller, Anthony Geoghegan, jimmij, G-Man, mdpc
If this question can be reworded to fit the rules in the help center, please edit the question.

  • Run "yum repoinfo all" and check the info relevant to the particular repository in question. – Raman Sailopal Jan 2 '18 at 11:53
  • Here is the information, as you can see it is already enabled. @RamanSailopal imgur.com/a/2L0CG – Muhammad Abdullah Jan 2 '18 at 12:13
  • There is a field called: Repo-expire and its in the past. What does this indicate? Is this the time after which yum will not install from this repo? – Muhammad Abdullah Jan 2 '18 at 12:14
  • Looks like dependent package is not in the repository? What happens when you try and install perl-Scalar-List-Utils-1.27-248.el7.x86_64 on it's own? – Raman Sailopal Jan 2 '18 at 13:05
  • Err - The package that you mentioned is in the Packages folder of the mounted CD. However when I try to install it using the rpm command, I get the error - not a rpm package. root@hxcslc-c01:/mnt/Packages [0] # rpm -hiv perl-Scalar-List-Utils-1.27-248.el7.x86_64.rpm error: perl-Scalar-List-Utils-1.27-248.el7.x86_64.rpm: not an rpm package (or package manifest): – Muhammad Abdullah Jan 2 '18 at 13:08
0

The ISO mounted was corrupted. Figured it out by checking the cksum.

Not the answer you're looking for? Browse other questions tagged or ask your own question.